Package ghidra.app.plugin.debug

# Class DomainFolderChangesDisplayComponentProvider

java.lang.Object
docking.ComponentProvider
ghidra.framework.plugintool.ComponentProviderAdapter
ghidra.app.plugin.debug.DomainFolderChangesDisplayComponentProvider

All Implemented Interfaces:
  `ActionContextProvider`, `HelpDescriptor`

public class DomainFolderChangesDisplayComponentProvider extends ComponentProviderAdapter

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `tool`

  ### Fields inherited from class docking.ComponentProvider

  `DEFAULT_WINDOW_GROUP, dockingTool`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DomainFolderChangesDisplayComponentProvider(PluginTool tool, String owner)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addText(String text)`
  `JComponent`
  `getComponent()`
  Returns the component to be displayed

  ### Methods inherited from class ghidra.framework.plugintool.ComponentProviderAdapter

  `getTool`

  ### Methods inherited from class docking.ComponentProvider

  `addLocalAction, addToTool, addToToolbar, adjustFontSize, canBeParent, closeComponent, componentActivated, componentDeactived, componentHidden, componentMadeDisplayable, componentShown, contextChanged, createContext, createContext, createContext, getActionContext, getBaseIcon, getContextType, getDefaultWindowPosition, getHelpInfo, getHelpLocation, getHelpObject, getIcon, getInstanceID, getIntraGroupPosition, getLocalActions, getMappedName, getMappedOwner, getName, getOwner, getSubTitle, getTabText, getTitle, getWindowGroup, getWindowSubMenuName, initializeInstanceID, isActive, isFocusedProvider, isInTool, isShowing, isSnapshot, isTransient, isVisible, registerAdjustableFontId, registerProviderNameOwnerChange, removeAllLocalActions, removeFromTool, removeLocalAction, requestFocus, resetFontSize, setCustomSubTitle, setCustomTabText, setCustomTitle, setDefaultFocusComponent, setDefaultWindowPosition, setHelpLocation, setIcon, setIntraGroupPosition, setKeyBinding, setSubTitle, setTabText, setTitle, setTransient, setVisible, setWindowGroup, setWindowMenuGroup, toFront, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DomainFolderChangesDisplayComponentProvider

    public DomainFolderChangesDisplayComponentProvider(PluginTool tool, String owner)

- ## Method Details

  - ### getComponent

    public JComponent getComponent()
    Description copied from class: `ComponentProvider`
    Returns the component to be displayed
    Specified by:
      `getComponent` in class `ComponentProvider`
    Returns:
      the component to be displayed

  - ### addText

    public void addText(String text)